import Vue from 'vue'

import echarts from 'echarts'
import MagLoadParams from  './stores/MagLoadParams'
import MagGetSaleParam from  './stores/MagGetSaleParams'


export default function () {
  Vue.prototype.$echarts = echarts

  /** ****************************计划安检********************************************/

  // 2019年月安检户数分布
  Vue.component('check-family', (resolve) => {
    require(['./components/safeCheck/planCheck/checkFamily'], resolve)
  })
  // 2019年概率况分布
  Vue.component('chance-situation', (resolve) => {
    require(['./components/safeCheck/planCheck/chanceSituation'], resolve)
  })
  // 2019年入户情况分布
  Vue.component('in-family', (resolve) => {
    require(['./components/safeCheck/planCheck/inFamily'], resolve)
  })
  // 2019年隐患结果处理情况
  Vue.component('hidden-danger', (resolve) => {
    require(['./components/safeCheck/planCheck/hidderDanger'], resolve)
  })
  //检查大屏分析
  Vue.component('check-all', (resolve) => {
    require(['./components/safeCheck/planCheck/checkAll'], resolve)
  })


  /** ****************************安检无计划结果分析********************************************/
  //入户情况
  Vue.component('into-fam', (resolve) => {
    require(['./components/safeCheck/noPlanCheck/intoFam'], resolve)
  })
  //一级隐患情况
  Vue.component('first-danger', (resolve) => {
    require(['./components/safeCheck/noPlanCheck/firstDanger'], resolve)
  })
  //安检情况
  Vue.component('check-situation', (resolve) => {
    require(['./components/safeCheck/noPlanCheck/checkSituation'], resolve)
  })

  //安检员安检户数情况
  Vue.component('checkman-situation', (resolve) => {
    require(['./components/safecheck/noPlanCheck/checkmanSituation'], resolve)
  })
  //隐患明细分布情况
  Vue.component('danger-distrubution', (resolve) => {
    require(['./components/safeCheck/noPlanCheck/dangerDistrubution'], resolve)
  })
  //期间无计划安检结果分析
  Vue.component('nocheck-all', (resolve) => {
    require(['./components/safeCheck/noPlanCheck/noCheckAll'], resolve)
  })


}
